/*
 * Copyright (C) 2000  Neil Deason
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
 * MA  02111-1307, USA.
 *
 * Author's Address
 *
 * Neil Deason
 * (ndeason@ubiquity.net)
 * Ubiquity Software Corporation
 * Ubiquity House
 * Langstone Park
 * Newport
 * South Wales
 * NP18 2LH
 */

/**
 * This interface allows notification of incmong messages to an instance
 * of the Messenger class.
 */
public interface MessengerObserver
{
	public void notify(String response);
}
